
debug.getinfo = Detourfunc( debug.getinfo, function( func, ... )
// Skip the callback from this file to the next which should be
// where the file is really being called.
local newFunc = (type(func) == "number") && func + 1 || func

local tbl = fag.detours[debug.getinfo](fag.detours[func] || newFunc, ...)
if(tbl != nil) then
tbl.func = fag.detours[func] || tbl.func
end
return tbl
end)


